aboutsummaryrefslogtreecommitdiff
path: root/samples/gauge2
diff options
context:
space:
mode:
Diffstat (limited to 'samples/gauge2')
-rwxr-xr-xsamples/gauge228
1 files changed, 28 insertions, 0 deletions
diff --git a/samples/gauge2 b/samples/gauge2
new file mode 100755
index 000000000000..10455d144c62
--- /dev/null
+++ b/samples/gauge2
@@ -0,0 +1,28 @@
+#!/bin/sh
+# $Id: gauge2,v 1.8 2010/01/13 10:26:52 tom Exp $
+# The original dialog program assumed the first line after the first "XXX"
+# was a percentage value (compare with "gauge" script).
+
+. ./setup-vars
+
+(echo "10" ; sleep 2 ;
+
+cat <<"EOF"
+XXX
+The new
+\n
+message
+XXX
+20
+EOF
+sleep 2;
+
+echo "75" ; sleep 1
+echo "100") | \
+
+$DIALOG --title "GAUGE" "$@" --gauge "Hi, this is a gauge widget" 10 40 0
+
+if [ "$?" = $DIALOG_ESC ] ; then
+ echo ""
+ echo "Box closed !"
+fi